/**
* Bureau.java - Bureau name and port number configurations
*
* Copyright (C) British Telecommunications plc. All rights reserved.
*
*
* @author Paul Rea & Tim Regan
* @version 0.1, 07/01/97
*/

import java.io.DataInputStream;
import java.io.FileInputStream;
import java.io.IOException;

public class Bureau
{

  protected String BureauName;
  protected int BureauPort;
  protected String configFile;
  protected boolean tryAgain = true;

  public Bureau(String configFileIn)
  {
    configFile = configFileIn;
    readBureauDetails();
  }

  protected void readBureauDetails()
  {
    try
      {
	DataInputStream BureauDetails = new DataInputStream(new FileInputStream(configFile));
	BureauName = BureauDetails.readLine();
	BureauPort = Integer.parseInt(BureauDetails.readLine());
	System.out.println("Server: " + BureauName + "\nPort: " + BureauPort);
      }
    catch(IOException e)
      {
	System.err.println("Error opening " + e);
	e.printStackTrace();
	if (tryAgain) retry();
      }
  }

  public String getBureauName()
  {
    return BureauName;
  }

  public int getBureauPort()
  {
    return BureauPort;
  }

  protected void retry()
  {
    if (tryAgain)
      {
	if (!configFile.equals("/Program Files/Sony/Community Place AO/usrclass/play/files/play.conf"))
	  {
	    configFile = "/Program Files/Sony/Community Place AO/usrclass/play/files/play.conf";
	    System.err.println("Resetting config file to /Program Files/Sony/Community Place AO/usrclass/play/files/play.conf");
	  }
	else
	  {
		configFile = "/ProgramFiles/Sony/AO-Manager/java/usrclass/play/files/play.conf";
		System.err.println("Resetting config file to /ProgramFiles/Sony/AO-Manager/java/usrclass/play/files/play.conf");
		tryAgain = false;
	  }
	readBureauDetails();
      }
  }

}
